UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 20722

LogiCORE SPI-3 (POS-PHY L3) v3.2 - Does the PL3 (SPI-3) Link Layer Core v3.2 support Virtex-4?

Description

Does the PL3 (SPI-3) Link Layer Core v3.2 support Virtex-4 devices?

Solution

The SPI-3 v3.2 Link Layer Core does support Virtex-4. This is reflected in the SPI-3 IP Lounge, as well as the latest version of the data sheet. 

 

You can target Virtex-4 by using the provided Virtex-II Pro files with the following modification to the build script: 

 

in the pl3_link_v3_2/virtex2/implement/ directory: 

cp build_pl3_v2p to build_pl3_v4 

 

open build_pl3_v4 using a text editor, and adjust the NGDBuild command line to target the desired Virtex-4 device. 

 

The Virtex-II Pro UCF file (pl3_link_top_v2p.ucf) can be used for the Virtex-4 implementation.

AR# 20722
Date Created 09/03/2007
Last Updated 05/19/2014
Status Archive
Type General Article